<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Input Groups</title>
  <style>
  </style>
</head>
<body>

  <div style="width: 400px;
  padding: 20px;">
    <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon1">@</span>
        </div>
        <input type="text" class="form-control" placeholder="User name" >
      </div>
      
      <div class="input-group mb-3">
        <input type="text" class="form-control" placeholder="Seu nome de usuário" >
        <div class="input-group-append">
          <span class="input-group-text" id="basic-addon2">@example.com</span>
        </div>
      </div>
      
      <label for="basic-url">Your url</label>
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon3">https://example.com/users/</span>
        </div>
        <input type="text" class="form-control" id="basic-url" aria-describedby="basic-addon3">
      </div>
      
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text">R$</span>
        </div>
        <input type="text" class="form-control" >
        <div class="input-group-append">
          <span class="input-group-text">.00</span>
        </div>
      </div>
      
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text">With textarea</span>
        </div>
        <textarea class="form-control" ></textarea>
      </div>

      <div class="input-group mb-3">
  <div class="input-group-prepend">
    <span class="input-group-text" id="basic-addon1">@</span>
  </div>
  <input type="text" class="form-control" placeholder="User name" >
</div>

<div class="input-group mb-3">
  <input type="text" class="form-control" placeholder="Seu nome de usuário" >
  <div class="input-group-append">
    <span class="input-group-text" id="basic-addon2">@example.com</span>
  </div>
</div>

<label for="basic-url">Your url</label>
<div class="input-group mb-3">
  <div class="input-group-prepend">
    <span class="input-group-text" id="basic-addon3">https://example.com/users/</span>
  </div>
  <input type="text" class="form-control" id="basic-url" aria-describedby="basic-addon3">
</div>

<div class="input-group mb-3">
  <div class="input-group-prepend">
    <span class="input-group-text">R$</span>
  </div>
  <input type="text" class="form-control" >
  <div class="input-group-append">
    <span class="input-group-text">.00</span>
  </div>
</div>

<div class="input-group">
  <div class="input-group-prepend">
    <span class="input-group-text">With textarea</span>
  </div>
  <textarea class="form-control" ></textarea>
</div>

<div class="input-group mt-3">
    <div class="input-group-prepend">
      <span class="input-group-text">R$</span>
      <span class="input-group-text">0.00</span>
    </div>
    <input type="text" class="form-control">
  </div>
  
  <div class="input-group">
    <input type="text" class="form-control">
    <div class="input-group-append">
      <span class="input-group-text">R$</span>
      <span class="input-group-text">0.00</span>
    </div>
  </div>


  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <button class="button outline-secondary" type="button">Button</button>
    </div>
    <input type="text" class="form-control" placeholder="" >
  </div>
  
  <div class="input-group mb-3">
    <input type="text" class="form-control" placeholder="User name" >
    <div class="input-group-append">
      <button class="button outline-secondary" type="button">Button</button>
    </div>
  </div>
  
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <button class="button outline-secondary" type="button">Button</button>
      <button class="button outline-secondary" type="button">Button</button>
    </div>
    <input type="text" class="form-control" placeholder="" >
  </div>
  
  <div class="input-group">
    <input type="text" class="form-control" placeholder="User name" >
    <div class="input-group-append">
      <button class="button outline-secondary" type="button">Button</button>
      <button class="button outline-secondary" type="button">Button</button>
    </div>
  </div>


  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <label class="input-group-text" for="inputGroupSelect01">Options</label>
    </div>
    <select class="custom-select" id="inputGroupSelect01">
      <option selected>Choose...</option>
      <option value="1">One</option>
      <option value="2">Two</option>
      <option value="3">Three</option>
    </select>
  </div>
  
  <div class="input-group mb-3">
    <select class="custom-select" id="inputGroupSelect02">
      <option selected>Choose...</option>
      <option value="1">One</option>
      <option value="2">Two</option>
      <option value="3">Three</option>
    </select>
    <div class="input-group-append">
      <label class="input-group-text" for="inputGroupSelect02">Options</label>
    </div>
  </div>
  
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <button class="button outline-secondary" type="button">Button</button>
    </div>
    <select class="custom-select" id="inputGroupSelect03">
      <option selected>Choose...</option>
      <option value="1">One</option>
      <option value="2">Two</option>
      <option value="3">Three</option>
    </select>
  </div>
  
  <div class="input-group">
    <select class="custom-select" id="inputGroupSelect04">
      <option selected>Choose...</option>
      <option value="1">One</option>
      <option value="2">Two</option>
      <option value="3">Three</option>
    </select>
    <div class="input-group-append">
      <button class="button outline-secondary" type="button">Button</button>
    </div>
  </div>


  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <span class="input-group-text">Upload</span>
    </div>
    <div class="custom-file">
      <input type="file" class="custom-file-input" id="inputGroupFile01">
      <label class="custom-file-label" for="inputGroupFile01">Choose the file</label>
    </div>
  </div>
  
  <div class="input-group mb-3">
    <div class="custom-file">
      <input type="file" class="custom-file-input" id="inputGroupFile02">
      <label class="custom-file-label" for="inputGroupFile02">Choose the file</label>
    </div>
    <div class="input-group-append">
      <span class="input-group-text" id="">Upload</span>
    </div>
  </div>
  
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <button class="button outline-secondary" type="button">Button</button>
    </div>
    <div class="custom-file">
      <input type="file" class="custom-file-input" id="inputGroupFile03">
      <label class="custom-file-label" for="inputGroupFile03">Choose the file</label>
    </div>
  </div>
  
  <div class="input-group">
    <div class="custom-file">
      <input type="file" class="custom-file-input" id="inputGroupFile04">
      <label class="custom-file-label" for="inputGroupFile04">Choose the file</label>
    </div>
    <div class="input-group-append">
      <button class="button outline-secondary" type="button">Button</button>
    </div>
  </div>

    </div>
  <script src="../nuiverse.min.js"></script>
</body>
</html>